免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
12下一页
最近访问板块 发新帖
查看: 3002 | 回复: 19

关于编译升级内核到2.6.0的一些问题。 [复制链接]

论坛徽章:
0
发表于 2004-03-16 15:18 |显示全部楼层
原来的内核是2.4.18准备升级到2.6.0,在make install之前都顺利通过了,
但是在执行make install后出现:
# make install
make[1]: `arch/i386/kernel/asm-offsets.s' is up to date.
  CHK     include/linux/compile.h
Kernel: arch/i386/boot/bzImage is ready
sh /usr/src/linux-2.6.0/arch/i386/boot/install.sh 2.6.0 arch/i386/boot/bzImage System.map ""
No module aic7xxx found for kernel 2.6.0
make[1]: *** [install] Error 1
make: *** [install] Error 2
#
就停下来了,提示没找到模块aic7xxx
这个模块是我的SCSI控制器的驱动模块,我用find / -name aic7xxx 在本机查了一下,结果是:
# find / -name aic7xxx
/proc/scsi/aic7xxx
/usr/src/linux-2.6.0/drivers/scsi/aic7xxx
/usr/src/linux-2.6.0/include/config/scsi/aic7xxx
/usr/src/linux-2.6.0/include/config/aic7xxx
/lib/modules/2.4.18-14/kernel/drivers/scsi/aic7xxx
/lib/modules/2.4.18-14smp/kernel/drivers/scsi/aic7xxx
/lib/modules/2.6.0/kernel/drivers/scsi/aic7xxx
好象不缺这个模块呀!到底是什么原因呀!!!!!!!急ing

论坛徽章:
0
发表于 2004-03-17 09:24 |显示全部楼层

关于编译升级内核到2.6.0的一些问题。

up
hlliujob 该用户已被删除
发表于 2004-03-17 10:22 |显示全部楼层
提示: 作者被禁止或删除 内容自动屏蔽

论坛徽章:
0
发表于 2004-03-17 16:39 |显示全部楼层

关于编译升级内核到2.6.0的一些问题。

我在配置时肯定选了这项呀,而且我也试了选Y,重新编译也出现同样的提示,到底那错了呢?

论坛徽章:
0
发表于 2004-03-18 11:12 |显示全部楼层

关于编译升级内核到2.6.0的一些问题。

up

论坛徽章:
5
荣誉会员
日期:2011-11-23 16:44:17CU大牛徽章
日期:2013-09-18 15:15:15CU大牛徽章
日期:2013-09-18 15:15:45未羊
日期:2014-02-25 14:37:19射手座
日期:2014-12-26 22:55:37
发表于 2004-03-18 14:02 |显示全部楼层

关于编译升级内核到2.6.0的一些问题。

make modules_install
再make install

论坛徽章:
0
发表于 2004-03-18 16:10 |显示全部楼层

关于编译升级内核到2.6.0的一些问题。

没错,我是先make modules_install然后再make install的呀!
我想请问一下make modules_install这步是不是把配置好的所有模块,复制到内核的某一个文件中去,
我在make install后提示No module aic7xxx found for kernel 2.6.0
我能不能手工拷贝一个aic7xxx文件到kernel 2.6.0中去,上边说的kernel 2.6.0是在什么位置, 还想问一下如果升级成功后新的内核是放在什么地方,是在/usr/src/linux_2.6.0下么?还是在别的什么地方.

论坛徽章:
0
发表于 2004-03-19 13:46 |显示全部楼层

关于编译升级内核到2.6.0的一些问题。

up

论坛徽章:
0
发表于 2004-03-19 13:56 |显示全部楼层

关于编译升级内核到2.6.0的一些问题。

有没有检查过你的gcc版本是否达到2.6.0的要求

论坛徽章:
0
发表于 2004-03-19 15:59 |显示全部楼层

关于编译升级内核到2.6.0的一些问题。

我的gcc版本是gcc-3.2-7,不知道2.6.0要求的是什么。
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122 niuxiaotong@pcpop.com 17352615567
未成年举报专区
中国互联网协会会员  联系我们:huangweiwei@itpub.net
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP